<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Cli::Console Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/dce/classThread_1_1Cli_1_1Console.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d7/d3e/classThread_1_1Cli_1_1Console-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Cli::Console Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements the CLI server on top of the CONSOLE platform abstraction.  
 <a href="../../dd/dce/classThread_1_1Cli_1_1Console.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d1/df9/cli__console_8hpp_source.html">src/cli/cli_console.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Cli::Console:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d7f/classThread_1_1Cli_1_1Console__inherit__graph.png" border="0" usemap="#Thread_1_1Cli_1_1Console_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Cli_1_1Console_inherit__map" id="Thread_1_1Cli_1_1Console_inherit__map">
<area shape="rect" id="node2" href="../../d4/d5c/classThread_1_1Cli_1_1Server.html" title="This class implements the CLI server. " alt="" coords="10,5,143,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Cli::Console:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d0d/classThread_1_1Cli_1_1Console__coll__graph.png" border="0" usemap="#Thread_1_1Cli_1_1Console_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Cli_1_1Console_coll__map" id="Thread_1_1Cli_1_1Console_coll__map">
<area shape="rect" id="node2" href="../../d4/d5c/classThread_1_1Cli_1_1Server.html" title="This class implements the CLI server. " alt="" coords="10,5,143,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3eeb91cf175c812701734c56a3b58c60"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html#a3eeb91cf175c812701734c56a3b58c60">Console</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:a3eeb91cf175c812701734c56a3b58c60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3eeb91cf175c812701734c56a3b58c60">More...</a><br /></td></tr>
<tr class="separator:a3eeb91cf175c812701734c56a3b58c60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196de782023e546b1434c3a19473c1d2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html#a196de782023e546b1434c3a19473c1d2">Output</a> (const char *aBuf, uint16_t aBufLength)</td></tr>
<tr class="memdesc:a196de782023e546b1434c3a19473c1d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method delivers raw characters to the client.  <a href="#a196de782023e546b1434c3a19473c1d2">More...</a><br /></td></tr>
<tr class="separator:a196de782023e546b1434c3a19473c1d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef1bd9f61410d369447d66397aaf40f5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html#aef1bd9f61410d369447d66397aaf40f5">OutputFormat</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:aef1bd9f61410d369447d66397aaf40f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method delivers formatted output to the client.  <a href="#aef1bd9f61410d369447d66397aaf40f5">More...</a><br /></td></tr>
<tr class="separator:aef1bd9f61410d369447d66397aaf40f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5454035d54e21e0e780335eddf7ca7d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html#ab5454035d54e21e0e780335eddf7ca7d">SetOutputCallback</a> (<a class="el" href="../../d6/d07/cli-console_8h.html#a1777e383f674ffdc508daca106e4e075">otCliConsoleOutputCallback</a> aCallback)</td></tr>
<tr class="memdesc:ab5454035d54e21e0e780335eddf7ca7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets a callback that is called when console has some output.  <a href="#ab5454035d54e21e0e780335eddf7ca7d">More...</a><br /></td></tr>
<tr class="separator:ab5454035d54e21e0e780335eddf7ca7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9291906a950cb49dd29db3ce7548883e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html#a9291906a950cb49dd29db3ce7548883e">SetContext</a> (void *aContext)</td></tr>
<tr class="memdesc:a9291906a950cb49dd29db3ce7548883e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets a context that is returned with the callback.  <a href="#a9291906a950cb49dd29db3ce7548883e">More...</a><br /></td></tr>
<tr class="separator:a9291906a950cb49dd29db3ce7548883e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a700af944a8519bbc15f9c481d4e18088"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a700af944a8519bbc15f9c481d4e18088"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ReceiveTask</b> (char *aBuf, uint16_t aBufLength)</td></tr>
<tr class="separator:a700af944a8519bbc15f9c481d4e18088"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements the CLI server on top of the CONSOLE platform abstraction. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3eeb91cf175c812701734c56a3b58c60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread::Cli::Console::Console </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a196de782023e546b1434c3a19473c1d2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::Cli::Console::Output </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>aBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aBufLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method delivers raw characters to the client. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aBuf</td><td>A pointer to a buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aBufLength</td><td>Number of bytes in the buffer.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of bytes placed in the output queue. </dd></dl>

<p>Implements <a class="el" href="../../d4/d5c/classThread_1_1Cli_1_1Server.html#a65e1df012fd4b53ee764706275be66d6">Thread::Cli::Server</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dce/classThread_1_1Cli_1_1Console_a196de782023e546b1434c3a19473c1d2_icgraph.png" border="0" usemap="#dd/dce/classThread_1_1Cli_1_1Console_a196de782023e546b1434c3a19473c1d2_icgraph" alt=""/></div>
<map name="dd/dce/classThread_1_1Cli_1_1Console_a196de782023e546b1434c3a19473c1d2_icgraph" id="dd/dce/classThread_1_1Cli_1_1Console_a196de782023e546b1434c3a19473c1d2_icgraph">
<area shape="rect" id="node2" href="../../dd/dce/classThread_1_1Cli_1_1Console.html#aef1bd9f61410d369447d66397aaf40f5" title="This method delivers formatted output to the client. " alt="" coords="196,5,339,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aef1bd9f61410d369447d66397aaf40f5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::Cli::Console::OutputFormat </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>fmt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method delivers formatted output to the client. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aFmt</td><td>A pointer to the format string. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">...</td><td>A variable list of arguments to format.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of bytes placed in the output queue. </dd></dl>

<p>Implements <a class="el" href="../../d4/d5c/classThread_1_1Cli_1_1Server.html#a6918e15cdf1736faa7267acef183de74">Thread::Cli::Server</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dce/classThread_1_1Cli_1_1Console_aef1bd9f61410d369447d66397aaf40f5_cgraph.png" border="0" usemap="#dd/dce/classThread_1_1Cli_1_1Console_aef1bd9f61410d369447d66397aaf40f5_cgraph" alt=""/></div>
<map name="dd/dce/classThread_1_1Cli_1_1Console_aef1bd9f61410d369447d66397aaf40f5_cgraph" id="dd/dce/classThread_1_1Cli_1_1Console_aef1bd9f61410d369447d66397aaf40f5_cgraph">
<area shape="rect" id="node2" href="../../dd/dce/classThread_1_1Cli_1_1Console.html#a196de782023e546b1434c3a19473c1d2" title="This method delivers raw characters to the client. " alt="" coords="196,5,339,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9291906a950cb49dd29db3ce7548883e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Cli::Console::SetContext </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>aContext</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sets a context that is returned with the callback. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to a user context. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab5454035d54e21e0e780335eddf7ca7d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Cli::Console::SetOutputCallback </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d07/cli-console_8h.html#a1777e383f674ffdc508daca106e4e075">otCliConsoleOutputCallback</a>&#160;</td>
          <td class="paramname"><em>aCallback</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sets a callback that is called when console has some output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aCallback</td><td>A pointer to a callback method. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dce/classThread_1_1Cli_1_1Console_ab5454035d54e21e0e780335eddf7ca7d_cgraph.png" border="0" usemap="#dd/dce/classThread_1_1Cli_1_1Console_ab5454035d54e21e0e780335eddf7ca7d_cgraph" alt=""/></div>
<map name="dd/dce/classThread_1_1Cli_1_1Console_ab5454035d54e21e0e780335eddf7ca7d_cgraph" id="dd/dce/classThread_1_1Cli_1_1Console_ab5454035d54e21e0e780335eddf7ca7d_cgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#ac3a6d19e1230529b3970e31ca7324373" title="This method interprets a CLI command. " alt="" coords="196,550,352,589"/>
<area shape="rect" id="node3" href="../../d4/d5c/classThread_1_1Cli_1_1Server.html#a6918e15cdf1736faa7267acef183de74" title="This method delivers formatted output to the client. " alt="" coords="416,395,549,434"/>
<area shape="rect" id="node4" href="../../df/d4f/group__config-general.html#gab62f7686b9c065cfb269c603155b0b66" title="Update all automatically created IPv6 addresses for prefixes from current Network Data with SLAAC pro..." alt="" coords="428,458,537,483"/>
<area shape="rect" id="node5" href="../../df/d4f/group__config-general.html#ga5765a8abaaa91408d717814bcb853919" title="Create random IID for given IPv6 address. " alt="" coords="414,507,551,533"/>
<area shape="rect" id="node6" href="../../dd/d45/openthread_8h.html#a99a9a16995c031b1a4be608b10cceb01" title="Convert a human&#45;readable IPv6 address string into a binary representation. " alt="" coords="400,557,566,582"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#ab1da78e1c424f644d017962d4ccc4654" title="This method parses an ASCII string as a long. " alt="" coords="405,606,560,645"/>
<area shape="rect" id="node8" href="../../d2/d11/group__udp.html#ga4198c5e5356efec22801439076076a9f" title="Send a Network Diagnostic Get request. " alt="" coords="409,718,556,743"/>
<area shape="rect" id="node49" href="../../d2/d11/group__udp.html#ga6f3d90ff7fcd39b3767b1ebc8eb58e1a" title="Send a Network Diagnostic Reset request. " alt="" coords="402,669,563,694"/>
<area shape="rect" id="node9" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a51609995a6e04a1aac273e430af4f53f" title="This method returns a pointer to the network diagnostic object. " alt="" coords="671,686,832,725"/>
<area shape="rect" id="node10" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#abc624ac04ecaf17b1b738a475e5b0d6a" title="This method sends Diagnostic Get request. " alt="" coords="620,781,882,819"/>
<area shape="rect" id="node11" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aaa9112c22813ceb55338050f0365c598" title="This method opens the UDP socket. " alt="" coords="947,781,1110,819"/>
<area shape="rect" id="node12" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aa07479b557c551452986ff7a0ce20773" title="This method binds the UDP socket. " alt="" coords="947,843,1110,882"/>
<area shape="rect" id="node13" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="947,306,1110,345"/>
<area shape="rect" id="node14" href="../../dd/d10/group__random.html#gaa20820ca4e6e1ce8cd47ded9762b14ca" title="Get a 32&#45;bit random value. " alt="" coords="965,431,1092,457"/>
<area shape="rect" id="node15" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="951,1083,1105,1122"/>
<area shape="rect" id="node17" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="951,906,1105,945"/>
<area shape="rect" id="node18" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="951,55,1105,94"/>
<area shape="rect" id="node19" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="951,243,1105,282"/>
<area shape="rect" id="node20" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="951,369,1105,407"/>
<area shape="rect" id="node21" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a1df234ef27c9000081fbbe24e7c97dd6" title="This method appends a Uri&#45;Path option. " alt="" coords="946,1195,1111,1234"/>
<area shape="rect" id="node23" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="951,181,1105,219"/>
<area shape="rect" id="node24" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="939,481,1118,506"/>
<area shape="rect" id="node25" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="951,530,1105,569"/>
<area shape="rect" id="node26" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="951,593,1105,631"/>
<area shape="rect" id="node27" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="942,655,1115,694"/>
<area shape="rect" id="node28" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8" title="This method returns a reference to the local socket address. " alt="" coords="1179,707,1352,746"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#gae4cc6a5939309cfc729293345142a15a" title="This method returns a pointer to the RLOC assigned to the Thread interface. " alt="" coords="937,118,1120,157"/>
<area shape="rect" id="node31" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a6c8c4f1757a98e7a45197c97da1ec8b8" title="This method returns the network interface identifier. " alt="" coords="966,718,1091,757"/>
<area shape="rect" id="node32" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="947,1021,1110,1059"/>
<area shape="rect" id="node42" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="949,1146,1108,1171"/>
<area shape="rect" id="node43" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="951,1321,1105,1359"/>
<area shape="rect" id="node44" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="1188,1437,1342,1475"/>
<area shape="rect" id="node45" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="951,1383,1105,1422"/>
<area shape="rect" id="node46" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="951,1498,1105,1537"/>
<area shape="rect" id="node47" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="951,1561,1105,1599"/>
<area shape="rect" id="node48" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="951,1258,1105,1297"/>
<area shape="rect" id="node16" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a411c64839fe9cf63ac201f9a6760199c" title="This method sets the Version value. " alt="" coords="1188,1258,1342,1297"/>
<area shape="rect" id="node22" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ac047d4a2285b8315c1f11d66c04994a4" title="This method appends a CoAP option. " alt="" coords="1188,1370,1342,1409"/>
<area shape="rect" id="node30" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html#a2bb426bd29e271bd1fc09b61d1044911" title="This method returns the unicast address. " alt="" coords="1181,118,1350,157"/>
<area shape="rect" id="node33" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813" title="This method indicates whether or not the IPv6 address is the Unspecified Address. ..." alt="" coords="1192,770,1338,809"/>
<area shape="rect" id="node34" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a4c3b5b3798c5a209d94f145dd9f08424" title="This method returns the local socket address. " alt="" coords="1184,833,1346,871"/>
<area shape="rect" id="node35" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f" title="This method returns a reference to the IPv6 address. " alt="" coords="1188,895,1343,934"/>
<area shape="rect" id="node36" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a3e48adfe7fb163bd8dd6e6f26cb5dda4" title="This method sets the UDP Source Port. " alt="" coords="1183,958,1348,997"/>
<area shape="rect" id="node37" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aa6b4ee310b27450ea21696b8a1ab9e36" title="This method sets the UDP Destination Port. " alt="" coords="1183,1021,1348,1059"/>
<area shape="rect" id="node38" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a232ac624d1b666065516cd2b7dc5f729" title="This method sets the UDP Length. " alt="" coords="1183,1083,1348,1122"/>
<area shape="rect" id="node39" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="1168,1321,1363,1346"/>
<area shape="rect" id="node40" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#ada31b17064f026a602cac8ce755cffcf" title="This method sets the UDP Checksum. " alt="" coords="1183,1146,1348,1185"/>
<area shape="rect" id="node41" href="../../dc/d3c/classThread_1_1Message.html#a9c900e4c1ddbb44f1d9c87d10172f63a" title="This method prepends bytes to the front of the message. " alt="" coords="1174,1209,1357,1234"/>
<area shape="rect" id="node50" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#a0777620633e36db7a9bafe8654019d92" title="This method sends Diagnostic Reset request. " alt="" coords="614,593,889,631"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/cli/<a class="el" href="../../d1/df9/cli__console_8hpp_source.html">cli_console.hpp</a></li>
<li>src/cli/<a class="el" href="../../dd/df4/cli__console_8cpp.html">cli_console.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html">Cli</a></li><li class="navelem"><a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html">Console</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
